# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.batch
Interface IBatchStatus

All Known Implementing Classes:
  BatchStatus

    public interface IBatchStatus

Shared BatchStatus interface between old and new data models.

Method Summary
`int` `getCode()` Returns the status code associated with this batch status element.
`java.lang.String` `getContent()` Returns the content of the batch status element.
`ContentType` `getContentType()` Returns the content type associated with this status element.
`java.lang.String` `getReason()` Returns the reason for the batch status.

Method Detail

### getCode

    int getCode()

  Returns the status code associated with this batch status element.

  Returns:
    the status code.

### getContent

    java.lang.String getContent()

  Returns the content of the batch status element.

  Returns:
    the content of the element.

### getContentType

    ContentType getContentType()

  Returns the content type associated with this status element.

  Returns:
    the content type of the element.

### getReason

    java.lang.String getReason()

  Returns the reason for the batch status.

  Returns:
    the reason for the status.